local addon, ns = ...
local ss = ns.SS

local setmetatable = setmetatable
local CreateFrame = CreateFrame

local mtTooltip = {};

function mtTooltip:New()
  local tooltip = CreateFrame("GameTooltip","SSMapButtonToolTip",nil,"GameToolTipTemplate")
  tooltip.FontString1 = tooltip:CreateFontString("FontString1")
  tooltip.FontString1:SetFont(ss.private.font["general"], 16)

  return tooltip
end

ss["MapMarkerTooltip"] = setmetatable({}, { __index = mtTooltip });
